Hydrilla - Feature #55

[Roadmap 2][Milestone] Write documentation for Hydrilla

07/22/2021 12:15 PM - koszko

Status: Closed
Priority: High
Assignee: koszko
Category:

Target version:

Start date:
Due date:
% Done:

Estimated time:

07/22/2021

100%
0.00 hour

Description

We need to document current workings, as well as planned future mechanisms of Hydrilla. The best place for this is going to be the

Wiki here.

Things that need documenting and come to my mind:

¢ how to run Hydrilla
¢ a sample Apache (later also Nginx) config as Hydrilla is meant to sitbehind-areverseproxy be run through a WSGI script
¢ a sample WSGl script for Hydrilla

* manpages-for-hydrilla-and hydrilla-builder®

This will be needed for Hydrilla 1.0. The 1.0-betal pre-release can be made without such thorough documentation

Roadmap

1. https://hachettebugs.koszko.org/issues/50#change-104 «

2. commit 1cb6aaae2055283d04aa0aa581e82addb8049ce4 and commit 363cbbb6a9fac49a377d8fal3ffede1483feabd5 «

Related issues:

Blocks Haketilo - Feature #104: [Roadmap 2] Haketilo and Hydrilla 1.0 release

Closed

02/23/2022

Associated revisions

Revision 363cbbb6 - 03/01/2022 05:41 PM - koszko
add Hydrilla builder manpage

Revision 1cb6aaae - 03/02/2022 10:15 AM - koszko

add Hydrilla server manpage

History

#1 - 07/22/2021 02:15 PM - koszko

This is the apache2 config | am using right now:

<VirtualHost *:80>
ServerName hydrilla.koszko.org

Redirect permanent / https://hydrilla.koszko.org/
ErrorLog ${APACHE_LOG_DIR}/error.log
CustomLog ${APACHE_LOG_DIR}/access.log combined

</VirtualHost>

<IfModule mod_ssl.c>
hydrillabugs.koszko.org/projects/hachette/wiki/Roadmap#Milestones-2
https://hachettebugs.koszko.org/issues/50#change-104
hydrillabugs.koszko.org/projects/hydrilla/repository/hydrilla/revisions/1cb6aaae2055283d04aa0aa581e82addb8049ce4
hydrillabugs.koszko.org/projects/hydrilla/repository/hydrilla-builder/revisions/363cbbb6a9fac49a377d8fa13ffede1483feabd5

<VirtualHost _default_:443>
ServerName hydrilla.koszko.org
ServerAdmin koszko@koszko.org

DocumentRoot /var/lib/hydrilla/
<Directory /var/lib/hydrilla/>
Require all granted
</Directory>
ProxyPass /content/ !
ProxyPass "/" "http://localhost:10111/"

ProxyPassReverse "/" "http://localhost:10111/"

ErrorLog ${APACHE_LOG_DIR}/error.log
CustomLog ${APACHE_LOG_DIR}/access.log combined

SSLEngine on

SSLCertificateFile /some/path/cert.pem
SSLCertificateKeyFile /some/path/privkey.pem
SSLCertificateChainFile /some/path/chain.pem
</VirtualHost>
</IfModule>

#2 - 02/18/2022 12:44 PM - koszko
- Description updated

- % Done changed from 0 to 80

#3 - 02/23/2022 05:40 PM - koszko

- Description updated

#4 - 02/23/2022 10:10 PM - koszko
- Blocks Feature #103: [Roadmap 1] Haketilo and Hydrilla 1.0 pre-release added

#5 - 02/23/2022 10:10 PM - koszko
- Blocks deleted (Feature #103: [Roadmap 1] Haketilo and Hydrilla 1.0 pre-release)

#6 - 02/23/2022 10:10 PM - koszko
- Blocks Feature #104: [Roadmap 2] Haketilo and Hydrilla 1.0 release added

#7 - 02/23/2022 10:11 PM - koszko
- Description updated
#8 - 02/23/2022 10:18 PM - koszko
- Status changed from New to In Progress

- Assignee set to koszko

#9 - 02/24/2022 10:49 AM - koszko

- Subject changed from Write documentation for Hydrilla to [Roadmap 2][Milestone] Write documentation for Hydrilla

#10 - 02/24/2022 01:03 PM - koszko

- Description updated

#11 - 03/02/2022 10:32 AM - koszko
- Description updated

- Assignee changed from koszko to Ogitnick

What do you think about the new manpages, Nick?

Also, | believe it would be beneficial to have you prepare and add the missing Apache config and WSGI script based on what | sent you in one of the
emails. This way we will know it is also approachable by people other that the author of the package :)

reference:
https://flask.palletsprojects.com/en/2.0.x/deploying/mod_wsgi/

#12 - 04/29/2022 10:11 AM - koszko
- Status changed from In Progress to Closed
- Assignee changed from 0Ogitnick to koszko

- % Done changed from 80 to 100
https://flask.palletsprojects.com/en/2.0.x/deploying/mod_wsgi/
http://www.tcpdf.org

